Subject: Re: [PATCH v3 3/4] x86/efi: move common keyring handler functions to new file

From: Mimi Zohar <[email-masked]>
Date: Tue, 03 Sep 2019 18:51:11 -0400

(Cc'ing Josh Boyer, David Howells)

On Mon, 2019-09-02 at 21:55 +1000, Michael Ellerman wrote:
> Nayna Jain <[email-masked]> writes:
> 
> > The handlers to add the keys to the .platform keyring and blacklisted
> > hashes to the .blacklist keyring is common for both the uefi and powerpc
> > mechanisms of loading the keys/hashes from the firmware.
> >
> > This patch moves the common code from load_uefi.c to keyring_handler.c
> >
> > Signed-off-by: Nayna Jain <[email-masked]>

Acked-by: Mimi Zohar <[email-masked]>

> > ---
> >  security/integrity/Makefile                   |  3 +-
> >  .../platform_certs/keyring_handler.c          | 80 +++++++++++++++++++
> >  .../platform_certs/keyring_handler.h          | 32 ++++++++
> >  security/integrity/platform_certs/load_uefi.c | 67 +---------------
> >  4 files changed, 115 insertions(+), 67 deletions(-)
> >  create mode 100644 security/integrity/platform_certs/keyring_handler.c
> >  create mode 100644 security/integrity/platform_certs/keyring_handler.h
> 
> This has no acks from security folks, though I'm not really clear on who
> maintains those files.

I upstreamed David's, Josh's, and Nayna's patches, so that's probably
me.

> Do I take it because it's mostly just code movement people are OK with
> it going in via the powerpc tree?

Yes, the only reason for splitting load_uefi.c is for powerpc.  These
patches should be upstreamed together.  

Mimi